Orxonox: CEGUI::CEGUIRQListener Class Reference

# CEGUI::CEGUIRQListener Class Reference

RenderQueueListener based class used to hook into the ogre rendering system. More...

`#include <src/ogreceguirenderer/OgreCEGUIRenderer.h>`

List of all members.

## Public Member Functions

| CEGUIRQListener (OgreCEGUIRenderer *renderer, Ogre::uint8 queue_id, bool post_queue)
virtual void | renderQueueEnded (Ogre::uint8 id, const Ogre::String &invocation, bool &repeatThisQueue)
virtual void | renderQueueStarted (Ogre::uint8 id, const Ogre::String &invocation, bool &skipThisQueue)
void | setPostRenderQueue (bool post_queue)
void | setTargetRenderQueue (Ogre::uint8 queue_id)
virtual | ~CEGUIRQListener ()

## Private Attributes

bool | d_post_queue
| true if we render after everything else in our queue.
Ogre::uint8 | d_queue_id
| ID of the queue that we are hooked into.
OgreCEGUIRenderer * | d_renderer
| CEGUI renderer object for Ogre.

## Detailed Description

RenderQueueListener based class used to hook into the ogre rendering system.

## Constructor & Destructor Documentation

CEGUI::CEGUIRQListener::CEGUIRQListener | ( | OgreCEGUIRenderer * | renderer,
|  | Ogre::uint8 | queue_id,
|  | bool | post_queue |
| ) |  |  | `[inline]`

virtual CEGUI::CEGUIRQListener::~CEGUIRQListener | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void CEGUI::CEGUIRQListener::renderQueueEnded | ( | Ogre::uint8 | id,
|  | const Ogre::String & | invocation,
|  | bool & | repeatThisQueue |
| ) |  |  | `[virtual]`

References d_post_queue, and d_queue_id.

void CEGUI::CEGUIRQListener::renderQueueStarted | ( | Ogre::uint8 | id,
|  | const Ogre::String & | invocation,
|  | bool & | skipThisQueue |
| ) |  |  | `[virtual]`

References d_post_queue, and d_queue_id.

void CEGUI::CEGUIRQListener::setPostRenderQueue | ( | bool | post_queue | ) | `[inline]`

Referenced by CEGUI::OgreCEGUIRenderer::setTargetRenderQueue().

void CEGUI::CEGUIRQListener::setTargetRenderQueue | ( | Ogre::uint8 | queue_id | ) | `[inline]`

Referenced by CEGUI::OgreCEGUIRenderer::setTargetRenderQueue().

## Member Data Documentation

bool CEGUI::CEGUIRQListener::d_post_queue`[private]`

true if we render after everything else in our queue.

Referenced by renderQueueEnded(), and renderQueueStarted().

Ogre::uint8 CEGUI::CEGUIRQListener::d_queue_id`[private]`

ID of the queue that we are hooked into.

Referenced by renderQueueEnded(), and renderQueueStarted().

OgreCEGUIRenderer* CEGUI::CEGUIRQListener::d_renderer`[private]`

CEGUI renderer object for Ogre.

The documentation for this class was generated from the following files:

- src/ogreceguirenderer/OgreCEGUIRenderer.h
- src/ogreceguirenderer/OgreCEGUIRenderer.cpp